> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Survey Omnichannel Room > Provide feedback on an Omnichannel room. ## OpenAPI ````json POST /api/v1/livechat/room.survey { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Omnichannel" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Omnichannel Users" }, { "name": "Omnichannel Agents" }, { "name": "Omnichannel Monitors" }, { "name": "Omnichannel Visitors" }, { "name": "Omnichannel Contacts" }, { "name": "Omnichannel Rooms" }, { "name": "Omnichannel Departments" }, { "name": "Omnichannel Custom Fields" }, { "name": "Omnichannel Business Hours" }, { "name": "Omnichannel Priorities" }, { "name": "Omnichannel Tags" }, { "name": "Omnichannel Units" }, { "name": "SLA Policies" }, { "name": "Canned Responses" }, { "name": "Omnichannel Transcript" }, { "name": "Omnichannel Statistics" }, { "name": "Omnichannel Agent Stats" }, { "name": "Omnichannel Dashboards" }, { "name": "Reports" }, { "name": "Omnichannel Inquiries" }, { "name": "Omnichannel Webhooks" }, { "name": "Livechat" }, { "name": "Livechat Appearance" }, { "name": "Livechat Triggers" }, { "name": "Livechat Messages" }, { "name": "Livechat Page Visited" } ], "paths": { "/api/v1/livechat/room.survey": { "post": { "summary": "Survey Omnichannel Room", "description": "Provide feedback on an Omnichannel room.", "operationId": "post-api-v1-livechat-room.survey", "requestBody": { "content": { "application/json": { "schema": { "type": "object", "properties": { "rid": { "type": "string", "description": "The room ID." }, "token": { "type": "string", "description": "The visitor token." }, "data": { "type": "array", "description": "An array of object with `name` and `value` to provide feedback.", "items": { "type": "object", "properties": { "name": { "type": "string" }, "value": { "type": "string" } } } } }, "required": [ "rid", "token", "data" ] }, "examples": { "Example 1": { "value": { "rid": "gMMeBpWyLeowCrzBv", "token": "d4a8338e5a7d98b6750b4f839431b34a3f4813b2c43f7d89597948f21f607bb4", "data": [ { "name": "additionalFeedback", "value": "Thankszzzzz" } ] } } } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "rid": { "type": "string" }, "data": { "type": "object", "properties": { "additionalFeedback": { "type": "string" } } }, "success": { "type": "boolean" } } }, "examples": { "Success Example": { "value": { "rid": "gMMeBpWyLeowCrzBv", "data": { "additionalFeedback": "Thankszzzzz" }, "success": true } } } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" }, "errorType": { "type": "string" } } }, "examples": { "Example 1": { "value": { "success": false, "error": "must have required property 'token' [invalid-params]", "errorType": "invalid-params" } } } } } } }, "tags": [ "Omnichannel Rooms" ] } } } } ````